summaryrefslogtreecommitdiff
path: root/openwrt/rhctl/files
diff options
context:
space:
mode:
authorChristian Pointner <equinox@helsinki.at>2009-11-18 11:33:48 (GMT)
committerChristian Pointner <equinox@helsinki.at>2009-11-18 11:33:48 (GMT)
commitae19564ae0fb957a2fc708be97cdbc474cff733a (patch)
treeb3174167e9e201a11feb0f1abe62f2db4e7365d5 /openwrt/rhctl/files
parent7289da5dcf7d689a005cba6d645daea23aa3104c (diff)
added heartbeatclient to package
Diffstat (limited to 'openwrt/rhctl/files')
-rwxr-xr-xopenwrt/rhctl/files/heartbeatclient.init56
-rw-r--r--openwrt/rhctl/files/rhctl.config1
2 files changed, 56 insertions, 1 deletions
diff --git a/openwrt/rhctl/files/heartbeatclient.init b/openwrt/rhctl/files/heartbeatclient.init
new file mode 100755
index 0000000..1b7d004
--- /dev/null
+++ b/openwrt/rhctl/files/heartbeatclient.init
@@ -0,0 +1,56 @@
+#!/bin/sh /etc/rc.common
+START=72
+
+BIN=heartbeatclient
+DAEMON=/usr/bin/$BIN
+DESC=$BIN
+RUN_D=/var/run/rhctl
+PIDFILE=$RUN_D/$BIN.pid
+
+
+option_cb() {
+ local varname="$1"
+ local value="$2"
+
+ if ! echo "$CONFIG_OPTIONS" | grep " $varname " > /dev/null; then
+ CONFIG_OPTIONS="$CONFIG_OPTIONS $varname "
+ fi
+}
+
+start_daemon() {
+ local option
+ local value
+ local args=""
+
+ for option in $CONFIG_OPTIONS
+ do
+ config_get value "$1" "$option"
+ option=`echo $option | tr '_' '-'`
+ if [ -n "$value" ]; then
+ args="$args --$option $value"
+ fi
+ done
+ local status="OK"
+ $DAEMON --write-pid $PIDFILE $args || status="failed"
+ echo -n " ($status)"
+}
+
+start() {
+ echo -n "Starting $DESC:"
+ config_load "rhctl"
+ mkdir -p $RUN_D
+ config_foreach start_daemon "hearbeatclient"
+ echo "."
+}
+
+stop() {
+ echo -n "Stopping $DESC:"
+ if [ -f $PIDFILE ]; then
+ kill `cat $PIDFILE` > /dev/null 2>&1
+ rm -f $PIDFILE > /dev/null 2>&1
+ echo -n " (Ok)"
+ else
+ echo -n " (not running)"
+ fi
+ echo "."
+}
diff --git a/openwrt/rhctl/files/rhctl.config b/openwrt/rhctl/files/rhctl.config
index 1b14f04..3b4874e 100644
--- a/openwrt/rhctl/files/rhctl.config
+++ b/openwrt/rhctl/files/rhctl.config
@@ -25,7 +25,6 @@ config 'serialclient'
option type 'standby'
config 'heartbeatclient'
- option disabled 1
option command_sock '/var/run/rhctl/switchctl.sock'
option baudrate '38400'
option device '/dev/ttyHeartbeat'